package com.example.singletone;

public class LazySingletonOpt {
    public static void main(String[] args) {
        LazySingleton singleton1 = LazySingleton.getInstance();
        LazySingleton singleton2 = LazySingleton.getInstance();
        if(singleton1 == singleton2) {

        }
        System.out.println(singleton1.hashCode());
        System.out.println(singleton2.hashCode());
    }
}
// 懒汉式
class LazySingleton {
    private static LazySingleton lazySingleton = null;
    private LazySingleton() {};
    // 判断使用到该方法时再进行创建 lazySingleton
    public static synchronized LazySingleton getInstance() {
        if(lazySingleton == null) {
            lazySingleton = new LazySingleton();
        }
        return lazySingleton;
    }

}
