package com.example.springbootdemo.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.springbootdemo.entity.Device;
import com.example.springbootdemo.entity.FootScanEntity;
import com.example.springbootdemo.mapper.DeviceMapper;
import com.example.springbootdemo.service.FootScanService;
import com.example.springbootdemo.service.GoodsBindsShoesLastService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @author zhangxiaoyu
 * @version 1.0
 * @date 2021/6/1 下午3:24
 */
@RestController
public class MybatisPlusController {
    @Autowired
    DeviceMapper deviceMapper;
    @Autowired
    FootScanService footScanService;
    @Autowired
    GoodsBindsShoesLastService goodsBindsShoesLastService;
    @RequestMapping("/mybatisPlusSelect")
    public Device getDeviceList() {
        QueryWrapper<Device> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("device_code","19216800200306800");
        return deviceMapper.selectOne(queryWrapper);
    }
    @RequestMapping("/pageDemo")
    public List<FootScanEntity> getFootScanListPage() {
        Page<FootScanEntity> page = new Page<>(1,3);
        QueryWrapper<FootScanEntity> queryWrapper = new QueryWrapper<FootScanEntity>()
                .eq("device_code","SCMD03001001").orderByDesc("foot_scan_id");
        footScanService.page(page,queryWrapper);
        return  page.getRecords();
    }
    @RequestMapping("/shoesLast")
    public List<Integer> testShoesLast(@RequestParam("shoes_last_id") Integer shoesLastId) {
        ArrayList<Integer> integerArrayList = new ArrayList<Integer>();
        integerArrayList.add(1);
        integerArrayList.add(2);
        integerArrayList.add(3);
        return goodsBindsShoesLastService.getGoodsIdByShoesLast(148161,"matchAll",integerArrayList);
        //ShoesLastEntity ss = shoesLastMapper.selectByShoesLastId(shoesLastId);
    }


}
