package com.example.springbootdemo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.sql.Timestamp;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wb_tbl_foot_scan_common")
public class FootScanCommonEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "foot_scan_common_id", type = IdType.AUTO)
    private Integer footScanCommonId;

    /**
     * 扫描数据id
     */
    private Integer footScanId;

    /**
     * 扫描数据编码
     */
    private String footScanSign;

    /**
     * 左脚长度
     */
    private String leftLength;

    /**
     * 右脚长度
     */
    private String rightLength;

    /**
     * 左脚宽度
     */
    private String leftWidth;

    /**
     * 右脚宽度
     */
    private String rightWidth;

    /**
     * 左脚高度
     */
    private String leftHeight;

    /**
     * 右脚高度
     */
    private String rightHeight;

    /**
     * 左脚足弓 H高足弓 N中足弓 L扁平足
     */
    private String leftArch;

    /**
     * 右脚足弓
     */
    private String rightArch;

    /**
     * 左脚足跟 inner内翻 out 外翻 mid 中立
     */
    private String leftHeel;

    /**
     * 右脚足跟
     */
    private String rightHeel;



    /**
     * 平衡性 0 很好 1 一般 2 很差
     */
    private String bodyBalanceType;

    /**
     * A后倾 B前倾 C居中
     */
    private String gravityStatus;

    /**
     * 重心点位置
     */
    private String gravityLie;

    /**
     * 压力图数据图
     */
    private String pressureImg;

    /**
     * stl数据文件地址
     */
    private String stlFileId;

    /**
     * 点云数据file_id
     */
    private String imgPcbFileId;


    /**
     * 性别 男1 女2
     */
    private Integer dataSex;

    /**
     * 选择尺码
     */
    private String wearSize;


    /**
     * 左脚尺码
     */
    private String leftSize;

    /**
     * 右脚尺码
     */
    private String rightSize;

    /**
     * 左脚瑄型
     */
    private String leftShoesType;

    /**
     * 右脚瑄型
     */
    private String rightShoesType;

    /**
     * 扫描量测出来的体重数据
     */
    private Integer scanWeight;

    /**
     * 状态1 正常 0 删除 2未上报
     */
    private String status;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 商家用户id
     */
    private String companyUserId;

    /**
     * 商家id
     */
    private String companyId;

    /**
     * 分组id
     */
    private String footScanGroupId;

    /**
     * 2 中科院扫描，3手填
     */
    private String scanType;

    /**
     * 测量时间
     */
    private Timestamp measureTime;

    /**
     * 更新时间
     */
    private Timestamp utime;

    /**
     * 创建时间
     */
    private Timestamp ctime;


}
