package com.example.springbootdemo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 鞋楦具体值
 * </p>
 *
 * @author Administrator
 * @since 2021-02-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wb_tbl_shoes_last")
public class ShoesLastEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 鞋楦具体值ID
     */
    @TableId(value = "shoes_last_id", type = IdType.AUTO)
    private Integer shoesLastId;

    /**
     * 原始尺码
     */
    private String originalSize;

    /**
     * 鞋码
     */
    private String shoesSize;

    /**
     * 足长
     */
    private String shoesLength;

    /**
     * 最小width
     */
    private Integer shoesMinWidth;

    /**
     * 楦底宽
     */
    private String shoesWidth;

    /**
     * 最大width
     */
    private Integer shoesMaxWidth;

    /**
     * 楦掌围
     */
    private String shoesZhangwei;

    /**
     * 楦兜跟围
     */
    private String shoesDougenwei;

    /**
     * 楦底长
     */
    private String shoesBottomLen;

    /**
     * 楦底样长
     */
    private String shoesBottomSample;

    /**
     * 楦全长
     */
    private String shoesAllLen;

    /**
     * 楦底后宽
     */
    private String shoesBottomWidth;

    /**
     * 楦前跷高
     */
    private String shoesFrontStep;

    /**
     * 楦后跷高
     */
    private String shoesBackStep;

    /**
     * 头厚
     */
    private String shoesHead;

    /**
     * 楦背围
     */
    private String shoesInstep;

    /**
     * 楦腰围
     */
    private String shoesWaist;

    /**
     * 放余量
     */
    private String shoesMargin;

    /**
     * 后容差
     */
    private String shoesAllowance;

    /**
     * 0为非扫描数据  1为扫描数据
     */
    private Integer isScan;

    /**
     * 鞋楦类型ID
     */
    private Integer shoesLastTypeId;

    /**
     * 如果是扫描数据.则对应扫描系统的扫描鞋楦码数ID
     */
    private Integer shoesLastScanId;

    /**
     * 0删除  1正常
     */
    private Integer status;

    /**
     * 商家ID
     */
    private Integer companyId;

    /**
     * 更新时间
     */
    private Timestamp utime;

    /**
     * 创建时间
     */
    private Timestamp ctime;


}
