package com.example.springbootdemo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.springbootdemo.entity.FootScanCommonEntity;
import com.example.springbootdemo.entity.ShoesLastEntity;
import com.example.springbootdemo.mapper.FootScanCommonMapper;
import com.example.springbootdemo.mapper.ShoesLastMapper;
import com.example.springbootdemo.service.GoodsBindsShoesLastService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * @author zhangxiaoyu
 * @version 1.0
 * @date 2021/6/2 下午2:30
 */
@Service
public class GoodsBindsShoesLastServiceImpl extends ServiceImpl<ShoesLastMapper, ShoesLastEntity> implements GoodsBindsShoesLastService {
    @Autowired
    FootScanCommonMapper footScanCommonMapper;
    @Autowired
    ShoesLastMapper shoesLastMapper;
    @Override
    public List<Integer> getGoodsIdByShoesLast(Integer footScanId, String searchCondition, List<Integer> arrShoesLastIds) {
        this._scanGetShoesLast(footScanId,searchCondition,arrShoesLastIds);
        return arrShoesLastIds;
    }

    /**
     * 根据脚型数据查找适配的鞋楦数据
     * @param  footScanId 脚型数据id
     * @param searchCondition 搜索条件，matchAll,matchLength
     * @param arrShoesLastIds 搜索条件 在这些鞋楦 id 数组里获取
     * return array
     */
    protected void _scanGetShoesLast(Integer footScanId, String searchCondition,List<Integer> arrShoesLastIds) {
        // 查询脚型获取匹配瑄
        FootScanCommonEntity footScanCommonEntity =  footScanCommonMapper.selectOne(
                new QueryWrapper<FootScanCommonEntity>().eq("foot_scan_id",footScanId));
        if(Objects.isNull(footScanCommonEntity)) {
           return;
        }
        // 左右脚分别匹配楦
        QueryWrapper<ShoesLastEntity>  leftQueryWrapper = new QueryWrapper<>();
        leftQueryWrapper.eq("shoes_length",footScanCommonEntity.getLeftLength())
                .ge("matchAll".equals(searchCondition),"shoes_min_width",footScanCommonEntity.getLeftWidth())
                .le("matchAll".equals(searchCondition),"shoes_max_width",footScanCommonEntity.getLeftWidth())
                .in(arrShoesLastIds!=null,"shoes_last_id",arrShoesLastIds);
        List<ShoesLastEntity> shoesLastEntities = shoesLastMapper.selectList(leftQueryWrapper);


    }




}
